## org.apache.commons.math.linear
Class MatrixIndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.MatrixIndexException

All Implemented Interfaces:
  java.io.Serializable

    public class MatrixIndexException

extends MathRuntimeException

Thrown when an operation addresses a matrix coordinate (row, col) which is outside of the dimensions of a matrix.

Version:
  $Revision: 746578 $ $Date: 2009-02-21 15:01:14 -0500 (Sat, 21 Feb 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`MatrixIndexException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new instance with specified formatted detail message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNullPointerException, createParseException, getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MatrixIndexException

    public MatrixIndexException(java.lang.String pattern,
                                java.lang.Object... arguments)

  Constructs a new instance with specified formatted detail message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments

Copyright (c) 2003-2011 Apache Software Foundation